package cn.axzo.msg.center.service.enums;

import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * @author yanglin
 */
@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum CardState implements CodeDefinition<String> {

    CREATED("未发送"),
    SEND_SUCCESS("已发送"),
    COMPLETED("已处理"),

    ;

    private final String name;

    @Override
    public String getCode() {
        return name();
    }

}